//
//  EQLCDynamicStore.h
//  EQLibCFramework
//
//  Created by Markus Hanauska on 2007-07-31.
//  Copyright 2007 equinux AG. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#ifdef BUILD_EQ_LIBC_FRAMEWORK
#include "com/equinux/osx/conf/SCDynamicStore.h"
#endif

@interface EQLCDynamicStore : NSObject {
#ifdef BUILD_EQ_LIBC_FRAMEWORK
	com_equinux_osx_conf_SCDynamicStore Store;
#else
	void * Store;
#endif

}

+ (id) dynamicStoreWithName:(NSString *)name;

- (id) initWithName:(NSString *)name;

- (NSString *) primaryInterface;

- (NSString *) idForInterface:(NSString *)interfaceName;

- (NSArray *) networksOfInterfaceCIDR:(NSString *)interfaceName;
- (NSArray *) networksOfInterface:(NSString *)interfaceName;
- (NSArray *) subnetMasksOfInterface:(NSString *)interfaceName;
- (NSArray *) addressesOfInterface:(NSString *)interfaceName;
- (NSString *) routerAddressOfInterface:(NSString *)interfaceName;

- (NSString *) dialUpNumberOfInterface:(NSString *)interfaceName;

@end
