/*
 *  EQLCKeychainItem.h
 *  EQLibCFramework
 *
 *  Created by Markus Hanauska on 2006-11-21.
 *  Copyright 2006 equinux AG. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>

#ifdef BUILD_EQ_LIBC_FRAMEWORK
#include "com/equinux/osx/sec/KeychainItem.h"
#endif

@interface EQLCKeychainItem : NSObject {
#ifdef BUILD_EQ_LIBC_FRAMEWORK
	com_equinux_osx_sec_KeychainItem _item;
#else
	void * _item;
#endif
}

- (id) init;

- (BOOL) hasLabel;
- (BOOL) hasComment;
- (BOOL) hasGeneric;
- (BOOL) hasService;
- (BOOL) hasAccount;
- (BOOL) hasPassword;
- (BOOL) hasDescription;

- (NSData *) label;			// Keychain Access.app: Name (Name)
- (NSData *) comment;		// Keychain Access.app: Comments (Kommentare)
- (NSData *) generic;		// Keychain Access.app:
- (NSData *) account;		// Keychain Access.app: Account (Account)
- (NSData *) service;		// Keychain Access.app: Where (Ort)
- (NSData *) password;		// Keychain Access.app: Password (Kennwort)
- (NSData *) description;	// Keychain Access.app: Kind (Typ)

- (NSString *) labelAsString;
- (NSString *) commentAsString;
- (NSString *) genericAsString;
- (NSString *) accountAsString;
- (NSString *) serviceAsString;
- (NSString *) passwordAsString;
- (NSString *) descriptionAsString;

- (BOOL) setLabel:(NSData *)label;
- (BOOL) setComment:(NSData *)comment;
- (BOOL) setGeneric:(NSData *)generic;
- (BOOL) setAccount:(NSData *)account;
- (BOOL) setService:(NSData *)service;
- (BOOL) setPassword:(NSData *)password;
- (BOOL) setDescription:(NSData *)description;

- (BOOL) setLabelString:(NSString *)label;
- (BOOL) setCommentString:(NSString *)comment;
- (BOOL) setGenericString:(NSString *)generic;
- (BOOL) setAccountString:(NSString *)account;
- (BOOL) setServiceString:(NSString *)service;
- (BOOL) setPasswordString:(NSString *)password;
- (BOOL) setDescriptionString:(NSString *)description;


@end
